Subject: LGLC summary: DNS-IANA-03

From: Olafur Gudmundsson <[email-masked]>
Date: Fri, 14 Jan 2000 16:36:30 -0500

The working group last call has completed. Number of responses where submitted 
during the last call period. 

Main conclusions
1. Document should be issued as BCP not Informational Standard.

2. Number of comments on omissions and minor fixes needed. 

3. There is a "conflict" extended error codes between EDNS and TSIG
   both assign code 16 but for different errors. The document should be updated
   to say that all future extended error codes should be allocated in the OPT 
   record extended space, TSIG and TKEY are grandfathered in from this mandate.

4. There where many comments on the experimental type space, some about the 
   reuse of of type numbers in that space other if it should be defined as 
   "Private Use" space as defined in RFC2434. 

5. There was discussion on what is acceptable documentation of new types and 
   classes that are defined outside the IETF, such as the ATMA type and CHAOS 
   class. The document MUST define for IANA what is acceptable documentation.

6. There was some discussion if IANA wanted someone appointed as an DNS expert 
   that they could call upon to help them in assignments. 
   In a mail discussion that took place on and off the mailing list it became 
   clear that IANA wants to have a appointed DNS expert. 
   (For now I have offered to take on that role. Normally Area directors 
   appoint protocol experts to IANA,  Erik Nordmark has not formally appointed 
   anyone to this role). 

Conclusion the draft is not ready for publication yet. 
The author has issued a new draft 04 which addresses most of the issues raised
once the authors claim that the document reflect their understanding of the
working group consensus there will be an WG last call. 

	Olafur

Olafur

------- End of Forwarded Message

---

From: "Donald E. Eastlake 3rd" <[email-masked]>
Date: Thu, 20 Jan 2000 00:36:53 -0500

Hi,

From:  Olafur Gudmundsson <[email-masked]>
Message-Id:  <[email-masked]>
To:  [email-masked]
Date:  Fri, 14 Jan 2000 16:36:30 -0500

>1. Document should be issued as BCP not Informational Standard.

Fixed in -04

>2. Number of comments on omissions and minor fixes needed. 

Will review...

>   record extended space, TSIG and TKEY are grandfathered in from this mandate.

Well, since EDNS is out (RFC 2671) and TSIG isn't, EDNS wins on the
conflict.  It should be made clear that there is only one DNS error
number space.

>   "Private Use" space as defined in RFC2434. 

Private Use is what was opted for in -04.

>   class. The document MUST define for IANA what is acceptable documentation.

Draft version -04 uses the ritual phrase form RFC 2434 which I assume
is adequate definition.

>   appoint protocol experts to IANA,  Erik Nordmark has not formally appointed 

I assume provision for such an expert should be added to the draft.

>working group consensus there will be an WG last call. 

Donald
====================================================================
 Donald E. Eastlake 3rd  +1 914-276-2668(h)  [email-masked]
 65 Shindegan Hill Rd, RR#1  +1 508-261-5343(w)
 Carmel, NY 10512 USA

---

From: Thomas Narten <[email-masked]>
Date: Thu, 20 Jan 2000 07:04:57 -0500

>>6. There was some discussion if IANA wanted someone appointed as an DNS
>>   expert that they could call upon to help them in assignments.
>>   In a mail discussion that took place on and off the mailing list it
>>   became clear that IANA wants to have a appointed DNS expert.  (For now
>>   I have offered to take on that role. Normally Area directors appoint
>>   protocol experts to IANA, Erik Nordmark has not formally appointed
>>   anyone to this role).

> I assume provision for such an expert should be added to the draft.

Actually, one only needs an expert if there is a numbering space for
which the IANA guidelines are not straightforward enough, and someone
with DNS clue needs to think before a particular assignment is made.

-04 doesn't mention "expert", so I'm assuming no subjective decisions
need to be made.

What exactly is the expert needed for (once this document is out as an
RFC)? I can see why IANA would want an expert at present, but do they
really want one once this document is out as well?

Thomas

---

From: "Donald E. Eastlake 3rd" <[email-masked]>
Date: Thu, 20 Jan 2000 08:06:23 -0500

It would appear that IANA would like an expert to refer general DNS
queries to, even if there were no other reason for the existence of
an expert.

Donald

From:  Thomas Narten <[email-masked]>
Message-Id:  <[email-masked]>
To:  "Donald E. Eastlake 3rd" <[email-masked]>
cc:  [email-masked]
In-Reply-To:  Message from "Donald E. Eastlake 3rd" <[email-masked]> 
	        of "Thu, 20 Jan 2000 00:36:53 EST." <[email-masked]
hole.com> 
Date:  Thu, 20 Jan 2000 07:04:57 -0500

---

From: Bill Manning <[email-masked]>
Date: Thu, 20 Jan 100 06:53:24 -0800 (PST)

it is my understanding that there is the expectation that if the
  IANA feels that it needs DNS expertise to clarify some particular
  DNS issue that the IESG can provide expert(s) as will lead to a 
  reasonable result.  Its not clear that there will be a single designated 
  individual.

% 
% It would appear that IANA would like an expert to refer general DNS
% queries to, even if there were no other reason for the existence of
% an expert.
% 
% Donald
% 
% From:  Thomas Narten <[email-masked]>
% Message-Id:  <[email-masked]>
% To:  "Donald E. Eastlake 3rd" <[email-masked]>
% cc:  [email-masked]
% In-Reply-To:  Message from "Donald E. Eastlake 3rd" <[email-masked]> 
% 	        of "Thu, 20 Jan 2000 00:36:53 EST." <[email-masked]
% hole.com> 
% Date:  Thu, 20 Jan 2000 07:04:57 -0500
% 
% >> >6. There was some discussion if IANA wanted someone appointed as an DNS expert 
% >> >   that they could call upon to help them in assignments. 
% >> >   In a mail discussion that took place on and off the mailing list it became 
% >> >   clear that IANA wants to have a appointed DNS expert. 
% >> >   (For now I have offered to take on that role. Normally Area directors 
% >> >   appoint protocol experts to IANA,  Erik Nordmark has not formally appointed 
% >> >   anyone to this role). 
% >
% >> I assume provision for such an expert should be added to the draft.
% >
% >Actually, one only needs an expert if there is a numbering space for
% >which the IANA guidelines are not straightforward enough, and someone
% >with DNS clue needs to think before a particular assignment is made.
% >
% >-04 doesn't mention "expert", so I'm assuming no subjective decisions
% >need to be made.
% >
% >What exactly is the expert needed for (once this document is out as an
% >RFC)? I can see why IANA would want an expert at present, but do they
% >really want one once this document is out as well?
% >
% >Thomas
% 

-- 
--bill

---

From: Paul A Vixie <[email-masked]>
Date: Thu, 20 Jan 2000 10:14:04 -0800

>   reasonable result.  Its not clear that there will be a single designated 

i have long believed that DNS was "like Security" in that it underlaid
almost every application and protocol in use on the Internet, and so,
ought to have its own AD.  every RFC ought to need a DNS Considerations
section, like the IANA and Security considerations they have now.

---

From: Harald Tveit Alvestrand <[email-masked]>
Date: Fri, 21 Jan 2000 01:36:47 +0100

>section, like the IANA and Security considerations they have now.

take your place in the line - we already have requests for the 
charset/internationalization considerations section, the IANA 
considerations section, the intellectual property considerations section, 
and probably a few more.
In the big picture, DNS is not the centre of the universe; if it does one 
function so well it can be taken for granted, all the better.

IMHO, the use of boilerplate is more likely to cripple the mind than to 
liberate it.

                 Harald

--
Harald Tveit Alvestrand, EDB Maxware, Norway
[email-masked]